﻿<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        body {
            margin: 0;
            padding: 0;
        }

        main{
            background: aqua;
        }

        div {
            border-width: 1px;
            border-style: solid;
            border-color: black;
            width: 200px;
            height: 200px;
            display: block;
        }

        div:nth-of-type(1) {
            background-color: red;
        }

        div:nth-child(2) {
            background-color: yellow;
        }

        div:nth-child(3) {
            background-color: green;
        }
    </style>
</head>
<body>

    <!--
   Свойство float определяет по какому краю будет выравниваться элемент и как он будет обтекаем другими элементами.  
    
       Может принимать 3 значения:
        left - элемент выравнивается по левому краю и будет обтекаем с правой стороны.
        right - элемент выравнивается по правому краю и будет обтекаем с левой стороны.
        none – обтекание элемента не задается.
-->
<main>
    <div></div>
    <div></div>
    <div></div>
</main>
    <br>
    <br>
    <br>

    <hr>

    <br>
    <br>
    <br>
    <div style=" background-color:Yellow; float:right">Этот текст находится в контейнере</div>

    <div>dsgkmdg</div>
 
</body>

</html>